package com.vazil.vridge.docs.repository;

import com.vazil.vridge.docs.model.GuideIndex;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface GuideIndexRepository extends CrudRepository<GuideIndex, String> {
    List<GuideIndex> findAll();
    List<GuideIndex> findAllByOrderByOrder();
    List<GuideIndex> findAllByDepthOrderByOrder(Integer depth);
    List<GuideIndex> findAllByPathContainingAndDepth(String path, Integer depth);
    List<GuideIndex> findAllByPathContainingAndDepthOrderByOrderDesc(String path, Integer depth);
    GuideIndex findByPath(String path);
    GuideIndex findByPathContainingAndDepthAndOrder(String path, Integer depth, Integer order);
}
